<?php

user_support_staff_gatekeeper();

$q = get_input('q');

$options = [
	'type' => 'object',
	'subtype' => UserSupportTicket::SUBTYPE,
	'full_view' => false,
	'metadata_name_value_pairs' => [
		'status' => UserSupportTicket::CLOSED,
	],
	'order_by' => 'e.time_updated desc',
	'no_results' => elgg_echo('notfound'),
];

if (!empty($q)) {
	$options['joins'] = [
		'JOIN ' . elgg_get_config('dbprefix') . 'objects_entity oe ON e.guid = oe.guid',
	];
	$options['wheres'] = [
		'oe.description LIKE "%' . sanitise_string($q) . '%"',
	];
}

// build page elements
$title_text = elgg_echo('user_support:tickets:archive:title');

// ignore access for support staff
$ia = elgg_set_ignore_access(true);

$form_vars = [
	'method' => 'GET',
	'disable_security' => true,
	'action' => 'user_support/support_ticket/archive',
];
$search = elgg_view_form('user_support/support_ticket/search', $form_vars);

$body = elgg_list_entities_from_metadata($options);

// restore access
elgg_set_ignore_access($ia);

// build page
$page_data = elgg_view_layout('content', [
	'title' => $title_text,
	'content' => $search . $body,
	'filter' => elgg_view_menu('user_support', [
		'class' => 'elgg-tabs',
		'sort_by' => 'priority',
	]),
]);

// draw page
echo elgg_view_page($title_text, $page_data);
