<?php

/* @var $widget ElggWidget */
$widget = elgg_extract('entity', $vars);
$owner = $widget->getOwnerEntity();

$more_link = 'user_support/faq';

$num_display = (int) $widget->num_display;
if ($num_display < 1) {
	$num_display = 4;
}

$list_options = [
	'type' => 'object',
	'subtype' => UserSupportFAQ::SUBTYPE,
	'limit' => $num_display,
	'pagination' => false,
];

if ($owner instanceof ElggGroup) {
	$list_options['container_guid'] = $owner->guid;
	
	$more_link .= "/group/{$owner->guid}/all";
}

if (elgg_is_active_plugin('likes')) {
	$dbprefix = elgg_get_config('dbprefix');
	
	$likes_name_id = elgg_get_metastring_id('likes');
	$list_options['selects'][] = "IFNULL(likes.likes_count, 0) as likes_count";
	$list_options['joins'][] = "LEFT OUTER JOIN (SELECT entity_guid, count(*) as likes_count
			FROM " . $dbprefix . "annotations
			WHERE name_id = " . $likes_name_id . "
			GROUP BY entity_guid
			ORDER BY likes_count DESC
		) likes ON likes.entity_guid = e.guid";
	$list_options['order_by'] = "likes_count DESC, e.time_created DESC";
}

$content = elgg_list_entities($list_options);
if (empty($content)) {
	echo elgg_view('output/longtext', [
		'value' => elgg_echo('user_support:faq:not_found'),
	]);
	return;
}

echo $content;

// read more link
$more_link = elgg_view('output/url', [
	'text' => elgg_echo('user_support:read_more'),
	'href' => $more_link,
	'class' => 'float-alt',
]);
echo elgg_format_element('div', ['class' => ['elgg-widget-more', 'clearfix']], $more_link);
