<?php

/* @var $widget ElggWidget */
$widget = elgg_extract('entity', $vars);

$num_display = (int) $widget->num_display;
if ($num_display < 1) {
	$num_display = 4;
}

$options = [
	'type' => 'object',
	'subtype' => UserSupportTicket::SUBTYPE,
	'limit' => $num_display,
	'metadata_name_value_pairs' => [
		'status' => UserSupportTicket::OPEN,
	],
	'pagination' => false,
	'order_by' => 'e.time_updated desc',
];

$content = elgg_list_entities_from_metadata($options);
if (empty($content)) {
	echo elgg_view('output/longtext', [
		'value' => elgg_echo('notfound'),
	]);
	return;
}

echo $content;

// read more link
$more_link = elgg_view('output/url', [
	'text' => elgg_echo('user_support:read_more'),
	'href' => 'user_support/support_ticket',
	'class' => 'float-alt',
]);
echo elgg_format_element('div', ['class' => ['elgg-widget-more', 'clearfix']], $more_link);
